Get uploaded video
curl --request GET \
--url https://backend.tensorpix.ai/api/video-gen/jobs/{id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/video-gen/jobs/{id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/video-gen/jobs/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"status": "<string>",
"cost": "<string>",
"model": "<string>",
"generated_video": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploaded_video": {
"id": 123,
"name": "<string>",
"width": 123,
"height": 123,
"created_at": "2023-11-07T05:31:56Z",
"n_frames": 123,
"framerate": 123,
"size": 123,
"owner": "jsmith@example.com",
"thumbnail": "<string>",
"external_url": "<string>",
"bitrate": 123,
"codec_id": "<string>",
"bit_depth": 123,
"chroma_subsampling": "<string>",
"color_space": "<string>",
"file": "<string>"
},
"width": 2080,
"height": 2080,
"n_frames": 1073741824,
"framerate": 500,
"size": 200000000050,
"file": "<string>",
"thumbnail": "<string>"
},
"input_images": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file": "<string>",
"name": "<string>"
}
],
"progress": 50,
"started_at": "2023-11-07T05:31:56Z",
"options": "<unknown>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}video-gen
Get uploaded video
GET
/
api
/
video-gen
/
jobs
/
{id}
/
Get uploaded video
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Response
Text prompt for the video generation.
Maximum string length:
2048Type of the video generation job. I2V for Image to Video, T2V for Text to Video.
i2v- Image to Videot2v- Text to Video
Available options:
i2v, t2v Cost in Credits
Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 100Arbitrary options for the video generation job besides prompt
Was this page helpful?
⌘I